Jump to content

Recommended Posts

Cloud Shadows 2.2 is now available  for download for existing customers and for purchase for new customers.  

This release provides a mechanism for customers who purchased the fixer from the Flight Sim Store to patch the fixer internals to version 5.1

Note that there is no actual need for Fastspring customers to upgrade from 2.0 or 2.1 as functionally the three versions are identical.

 

 

  •  
Edited by SteveFx
  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

×
×
  • Create New...